import { TranslateService } from "@ngx-translate/core";
import { FormField } from "@seniorsistemas/angular-components";
import { Observable, Subject } from "rxjs";
import { LocationService } from "../../core/entities/location/location.service";
import { EntityLookupConfigService } from "../../shared/services/entity-lookup-config.service";
export declare class LocationLookupService {
    private translate;
    private configService;
    private locationService;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, locationService: LocationService);
    registerFieldsForValidation: any[];
    locationLookupDisplayFields: string[];
    locationLookupSeparator: string;
    locationSearchSubject: Subject<unknown>;
    locationLookupSubject: Subject<unknown>;
    private ngUnsubscribe;
    updateSuggestions(value: any): void;
    getSuggestionValue(displayFields: string[], ownerEntity: string, value: any, separator: string): any;
    /**
     * Método utilizado para montar o lookup no dynamicForm.
     * LookupValidationDto
     */
    getFormField(isCollective?: boolean, additionalFilter?: string, initialFilter?: string): FormField;
    onLocationSearchRequest(event: any, additionalFilter: any, initialFilter: any): void;
    onLocationSearchRequestObservable(event: any, additionalFilter: any, initialFilter: any, isDynamicForm?: boolean): Observable<any>;
    private mapToComponent;
    private getLabelForMaping;
    onLocationLookupRequest(value: string, additionalFilter: any, initialFilter: any): void;
    onLocationLookupRequestObservable(value: string, additionalFilter: any, initialFilter: any): Observable<any>;
    getLocationSearchFields(): FormField[];
}
